import { useI18n } from 'vue-i18n';

export default function (value, symbol = 'EUR', fractionSize = 2) {
    if (value == null || value === '') value = 0;

    const { locale } = useI18n();

    const options = {
        style: 'currency',
        currency: symbol,
        minimumFractionDigits: fractionSize,
        maximumFractionDigits: fractionSize,
    };

    const lang = locale.value == 'es' ? 'de' : locale.value;

    return new Intl.NumberFormat(lang, options).format(value);
}
